#include <avr/io.h>
#include <avr/interrupt.h> /* for sei() */
#include <util/delay.h> /* for _delay_ms() */
#include <avr/pgmspace.h> /* required by usbdrv.h */
#include "usbdrv.h"
#include <Servo.h>
#define RQ_SET_SERVO 0

Servo servo;

void init_peri(){
DDRC |= (1<<PC2)|(1<<PC1)|(1<<PC0);
DDRC &= ~((1<<PC3)|(1<<PC4));
PORTC |= (1<<PC3);
}

void set_servo(int st)
{
  while(st==1){
   servo.write(90);
   delay(500);
   servo.write(0);
   delay(5000);
  }
}
usbMsgLen_t usbFunctionSetup(uint8_t data[8])
{
    usbRequest_t *rq = (void *)data;

    /* declared as static so they stay valid when usbFunctionSetup returns */
    static uint8_t switch_state;  
    static uint16_t light;
    if(rq->bRequest == RQ_SET_SERVO){
      uint8_t st = rq->wValue.bytes[0];
      set_servo(st);
    }
    /* default for not implemented requests: return no data back to host */
    return 0;
}

void setup() 
{
  init_peri();
    usbInit();
    /* enforce re-enumeration, do this while interrupts are disabled! */
    usbDeviceDisconnect();
    _delay_ms(300);
    usbDeviceConnect();
    /* enable global interrupts */
    sei();
  servo.attach(PIN_PC1);
  servo.write(0);
}

void loop() {
  //servo.write(90);
  //delay(500);
  //servo.write(0);
  //delay(60000);
  // put your main code here, to run repeatedly:
  usbPoll();
}
