from practicumm import find_mcu_boards, McuBoard, PeriBoard
from flask import Flask, render_template, redirect, url_for
 
devices = find_mcu_boards()
mcu = McuBoard(devices[0])
peri = PeriBoard(mcu)
app = Flask(__name__)
 
@app.route("/")
def index():
   return """
     <h1>Automstic Cat Feeder</h1>
     <div>
     Do you want to feed now?
     <a href="/servo/1">YES</a>
     </div>
   """

@app.route("/servo/<int:state>")
def set_servo(state):
   try:
      peri.set_servo(state)
   except:
      pass
   return redirect(url_for("index"))

app.run(debug=True, port=8000, host="0.0.0.0")
